/** 
 * @Title: WeiboBusiness.java 
 * @Package com.zhiweidata.bjfzxWebapp.entity 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午9:27:28 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/** 
 * @ClassName: WeiboBusiness 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午9:27:28  
 */
@Document(collection = "weiboBusiness")
public class WeiboBusiness implements Serializable{
	private static final long serialVersionUID = 5418385143541093287L;
	@Id
	private String id;// 主键

    private String eventId;// 事件id
    private String keyword;
	// 用户信息
    private String uid; // 微博用户uid
    private String username; // 用户昵称
    private Integer vtype; // 用户认证类型
    private Integer fensi; // 用户粉丝
    private Integer guanzhu; // 用户关注数
    private Integer weibo; // 用户微博数
    private String sex;// 用户性别
    private String location;// 用户地域
    private String description; // 用户描述
    private String reason;// 认证原因
    private String img_url;// 用户图片地址
    // 微博信息
    private String mid; // 微博MID
    private Integer reposts_count; // 转发数
    private Integer comments_count; // 评论数
    private Integer attitudes_count;// 点赞数
    private Integer hdl_count;// 互动量
    private String url; // 微博地址
    private String text; // 微博内容
    private Date createdAt; // status创建时间

    private String source; // 来源

    private String weibo_img;// 微博图片地址

    private Integer isForword; // 是否转发
    private String retweet_status_id;// 原创的mid
    private String root_uid;// 原创的用户id
    private String root_username;// 原创的用户名
    private Date root_createdAt;// 原创的微博时间
    private String root_text;// 原创微博内容
    private String root_mid;// 原创微博的地址
    private Integer root_reposts_count;// 原创微博的转发数
    private Integer root_comments_count;// 原创微博的评论数

    private Long saveTime;// 储存时间

    private String groupName;  //服务对象（北京副中心，缺陷产品信息。。。）

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getEventId() {
		return eventId;
	}

	public void setEventId(String eventId) {
		this.eventId = eventId;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public Integer getVtype() {
		return vtype;
	}

	public void setVtype(Integer vtype) {
		this.vtype = vtype;
	}

	public Integer getFensi() {
		return fensi;
	}

	public void setFensi(Integer fensi) {
		this.fensi = fensi;
	}

	public Integer getGuanzhu() {
		return guanzhu;
	}

	public void setGuanzhu(Integer guanzhu) {
		this.guanzhu = guanzhu;
	}

	public Integer getWeibo() {
		return weibo;
	}

	public void setWeibo(Integer weibo) {
		this.weibo = weibo;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getImg_url() {
		return img_url;
	}

	public void setImg_url(String img_url) {
		this.img_url = img_url;
	}

	public String getMid() {
		return mid;
	}

	public void setMid(String mid) {
		this.mid = mid;
	}

	public Integer getReposts_count() {
		return reposts_count;
	}

	public void setReposts_count(Integer reposts_count) {
		this.reposts_count = reposts_count;
	}

	public Integer getComments_count() {
		return comments_count;
	}

	public void setComments_count(Integer comments_count) {
		this.comments_count = comments_count;
	}

	public Integer getAttitudes_count() {
		return attitudes_count;
	}

	public void setAttitudes_count(Integer attitudes_count) {
		this.attitudes_count = attitudes_count;
	}

	public Integer getHdl_count() {
		return hdl_count;
	}

	public void setHdl_count(Integer hdl_count) {
		this.hdl_count = hdl_count;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getWeibo_img() {
		return weibo_img;
	}

	public void setWeibo_img(String weibo_img) {
		this.weibo_img = weibo_img;
	}

	public Integer getIsForword() {
		return isForword;
	}

	public void setIsForword(Integer isForword) {
		this.isForword = isForword;
	}

	public String getRetweet_status_id() {
		return retweet_status_id;
	}

	public void setRetweet_status_id(String retweet_status_id) {
		this.retweet_status_id = retweet_status_id;
	}

	public String getRoot_uid() {
		return root_uid;
	}

	public void setRoot_uid(String root_uid) {
		this.root_uid = root_uid;
	}

	public String getRoot_username() {
		return root_username;
	}

	public void setRoot_username(String root_username) {
		this.root_username = root_username;
	}

	public Date getRoot_createdAt() {
		return root_createdAt;
	}

	public void setRoot_createdAt(Date root_createdAt) {
		this.root_createdAt = root_createdAt;
	}

	public String getRoot_text() {
		return root_text;
	}

	public void setRoot_text(String root_text) {
		this.root_text = root_text;
	}

	public String getRoot_mid() {
		return root_mid;
	}

	public void setRoot_mid(String root_mid) {
		this.root_mid = root_mid;
	}

	public Integer getRoot_reposts_count() {
		return root_reposts_count;
	}

	public void setRoot_reposts_count(Integer root_reposts_count) {
		this.root_reposts_count = root_reposts_count;
	}

	public Integer getRoot_comments_count() {
		return root_comments_count;
	}

	public void setRoot_comments_count(Integer root_comments_count) {
		this.root_comments_count = root_comments_count;
	}

	public Long getSaveTime() {
		return saveTime;
	}

	public void setSaveTime(Long saveTime) {
		this.saveTime = saveTime;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	@Override
	public String toString() {
		return "WeiboBusiness [id=" + id + ", eventId=" + eventId + ", keyword=" + keyword + ", uid=" + uid
				+ ", username=" + username + ", vtype=" + vtype + ", fensi=" + fensi + ", guanzhu=" + guanzhu
				+ ", weibo=" + weibo + ", sex=" + sex + ", location=" + location + ", description=" + description
				+ ", reason=" + reason + ", img_url=" + img_url + ", mid=" + mid + ", reposts_count=" + reposts_count
				+ ", comments_count=" + comments_count + ", attitudes_count=" + attitudes_count + ", hdl_count="
				+ hdl_count + ", url=" + url + ", text=" + text + ", createdAt=" + createdAt + ", source=" + source
				+ ", weibo_img=" + weibo_img + ", isForword=" + isForword + ", retweet_status_id=" + retweet_status_id
				+ ", root_uid=" + root_uid + ", root_username=" + root_username + ", root_createdAt=" + root_createdAt
				+ ", root_text=" + root_text + ", root_mid=" + root_mid + ", root_reposts_count=" + root_reposts_count
				+ ", root_comments_count=" + root_comments_count + ", saveTime=" + saveTime + ", groupName=" + groupName
				+ "]";
	}
    
}
